import Connection from '../core/Connection'

export type IPlayer = Pick<Player, 'id' | 'nickname' | 'connection'>

export default class Player {
  id: number
  nickname: string
  connection: Connection
  rid: number

  constructor({ id, nickname, connection }: IPlayer) {
    this.id = id
    this.nickname = nickname
    this.connection = connection
    this.connection.playerId = this.id
    this.rid = -1
  }
}
